Show / Hide Table of Contents

# Struct hkaBoneAttachment

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.Havok

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct hkaBoneAttachment

### Fields

| Improve this Doc View Source

#### Attachment

##### Declaration

    public hkRefVariant Attachment

##### Field Value

Type | Description
--- | ---
hkRefVariant |

| Improve this Doc View Source

#### BoneFromAttachment

##### Declaration

    public hkMatrix4f BoneFromAttachment

##### Field Value

Type | Description
--- | ---
hkMatrix4f |

| Improve this Doc View Source

#### BoneIndex

##### Declaration

    public short BoneIndex

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### hkReferencedObject

##### Declaration

    public hkReferencedObject hkReferencedObject

##### Field Value

Type | Description
--- | ---
hkReferencedObject |

| Improve this Doc View Source

#### Name

##### Declaration

    public hkStringPtr Name

##### Field Value

Type | Description
--- | ---
hkStringPtr |

| Improve this Doc View Source

#### OriginalSkeletonName

##### Declaration

    public hkStringPtr OriginalSkeletonName

##### Field Value

Type | Description
--- | ---
hkStringPtr |